#include <iostream>

using namespace std;

int main()
{
    int N,x, L, p=-1;
    cin >> N>> L;
    bool a = false;
    for (int i = 1; i <= N; i++) {
        cin >> x;
        if (x <= L && a==false) 
        { 
            p = i;
            a = true;
        }
    }
    cout << p;
}